/Users/bernard/b20/bsoft/src/bmedian.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/bmedian.cpp - Program to filter images.

SYNOPSIS

#include 'rwimg.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'

  Functions
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

Program to filter images.

Author:
    Bernard Heymann

Date:
    Created: 20010414

    Modified: 20110804

Definition in file bmedian.cpp.

Function Documentation

  int main (int argc, char ** argv)

Definition at line 37 of file bmedian.cpp.

Variable Documentation

  const char* use[]
Initial value:

= {
" ",
"Usage: bmedian [options] input.img output.img",
"---------------------------------------------",
"Filters images.",
" ",
"Actions:",
"-rescale -0.1,5.2        Rescale data to average and standard deviation after filtering.",
" ",
"Parameters:",
"-verbose 1               Verbosity of output.",
"-datatype u              Force writing of a new data type.",
"-sampling 1.5,1.5,1.5    Sampling (A/pixel; default from input file; a single value can be given).",
"-kernel 5                Median filter kernel edge size (default 3).",
"-iterations 5            Number of iterations (default 1).",
" ",
NULL
}

Definition at line 18 of file bmedian.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.